Many changes
[perl-ctypes:shlomifs-perl-ctypes.git] / t / pod-coverage.t
1 use strict;
2 use warnings;
3 use Test::More;
4
5 # Ensure a recent version of Test::Pod::Coverage
6 my $min_tpc = 1.08;
7 eval "use Test::Pod::Coverage $min_tpc";
8 plan skip_all => "Test::Pod::Coverage $min_tpc required for testing POD coverage"
9     if $@;
10
11 # Test::Pod::Coverage doesn't require a minimum Pod::Coverage version,
12 # but older versions don't recognize some common documentation styles
13 my $min_pc = 0.18;
14 eval "use Pod::Coverage $min_pc";
15 plan skip_all => "Pod::Coverage $min_pc required for testing POD coverage"
16     if $@;
17
18 my $opts = { trustme => [ qr/^c_[a-z_]*$/,    # all private methods
19                           qr/^PF_.*/,         # inlined flags, Function.pm
20                           # (XXX will expose to users in a different format later) 
21                           qr/^constant$/,     # Auto-generated
22                         ] };
23 # all_pod_coverage_ok($opts);
24 pod_coverage_ok( 'Ctypes', $opts );
25 pod_coverage_ok( 'Ctypes::Type', $opts );
26 pod_coverage_ok( 'Ctypes::Type::Simple', $opts );
27 pod_coverage_ok( 'Ctypes::Type::Struct', $opts );
28 pod_coverage_ok( 'Ctypes::Type::Pointer', $opts );
29 pod_coverage_ok( 'Ctypes::Type::Array', $opts );